dust2
Prev | Orchestra Opcodes and Operators | Next

## dust2

dust2 — Random impulses.

## Description

Generates random impulses from -1 to 1.

## Syntax

    ares dust2 kamp, kdensity

    kres dust2 kamp, kdensity

## Performance

kamp -- amplitude.

kdensity -- average number of impulses per second.

## Examples

Here is an example of the dust2 opcode. It uses the file dust2.csd.

Example 260. Example of the dust2 opcode.

See the sections Real-time Audio and Command Line Flags for more information on using command line flags.

    <CsoundSynthesizer>
    <CsOptions>
    ; Select audio/midi flags here according to platform
    -odac     ;;;realtime audio out
    ;-iadc    ;;;uncomment -iadc if realtime audio input is needed too
    ; For Non-realtime ouput leave only the line below:
    ; -o oscil.wav -W ;;; for file output any platform
    </CsOptions>
    <CsInstruments>

    sr = 44100
    ksmps = 32
    nchnls = 2
    0dbfs  = 1

    instr 1

    kdens expon 2, p3, 20000
    aout  dust2 0.5, kdens
    outs  aout, aout

    endin
    </CsInstruments>
    <CsScore>
    i1 0 10
    e
    </CsScore>
    </CsoundSynthesizer>

## See also

Random (Noise) Generators

## Credits

Based on James McCartney's Dust2 (SuperCollider)
Author: Tito Latini
January 2012

New in Csound version 5.16

k-rate version fixed to documentation and SuperCollider, version 6.09

Prev | Up | Next
dust | Home | elapsedcycles